import matplotlib.pyplot as plt
import matplotlib.cm as cm
import numpy as np

fig = plt.figure()
ax = fig.add_subplot(111, projection='3d')
X = np.linspace(-5, 5, 40)
Y = np.linspace(-5, 5, 40)
X, Y = np.meshgrid(X, Y)
Z = np.sin(X)*np.sin(Y)

ax.plot_surface(X, Y, Z, rstride=1, cstride=1, cmap=cm.get_cmap("BuPu"))
ax.contourf(X, Y, Z, zdir='z', offset=-2, cmap=cm.get_cmap("BuPu"))
ax.set_zlim(-2,2)

plt.show()